gi-dbusmenu-0.4.14: Dbusmenu bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Dbusmenu.Enums

Contents

- Enumerations
  - Status
  - TextDirection

Description

Synopsis

- data Status
  - = StatusNormal
  - | StatusNotice
  - | AnotherStatus Int
- data TextDirection
  - = TextDirectionNone
  - | TextDirectionLtr
  - | TextDirectionRtl
  - | AnotherTextDirection Int

# Enumerations

## Status

data Status Source #

Tracks how the menus should be presented to the user.

Constructors

StatusNormal | Everything is normal
StatusNotice | The menus should be shown at a higher priority
AnotherStatus Int | Catch-all for unknown values

#### Instances

Instances details

Enum Status Source # |

Instance details

Defined in GI.Dbusmenu.Enums

Methods

succ :: Status -> Status Source #

pred :: Status -> Status Source #

toEnum :: Int -> Status Source #

fromEnum :: Status -> Int Source #

enumFrom :: Status -> [Status] Source #

enumFromThen :: Status -> Status -> [Status] Source #

enumFromTo :: Status -> Status -> [Status] Source #

enumFromThenTo :: Status -> Status -> Status -> [Status] Source #

Show Status Source # |
Instance details Defined in GI.Dbusmenu.Enums Methods showsPrec :: Int -> Status -> ShowS Source # show :: Status -> String Source # showList :: [Status] -> ShowS Source #
Eq Status Source # |
Instance details Defined in GI.Dbusmenu.Enums Methods (==) :: Status -> Status -> Bool Source # (/=) :: Status -> Status -> Bool Source #
Ord Status Source # |
Instance details Defined in GI.Dbusmenu.Enums Methods compare :: Status -> Status -> Ordering Source # (<) :: Status -> Status -> Bool Source # (<=) :: Status -> Status -> Bool Source # (>) :: Status -> Status -> Bool Source # (>=) :: Status -> Status -> Bool Source # max :: Status -> Status -> Status Source # min :: Status -> Status -> Status Source #

## TextDirection

data TextDirection Source #

The direction of text that the strings that this server will be sending strings as.

Constructors

TextDirectionNone | Unspecified text direction
TextDirectionLtr | Left-to-right text direction
TextDirectionRtl | Right-to-left text direction
AnotherTextDirection Int | Catch-all for unknown values

#### Instances

Instances details

Enum TextDirection Source # |

Instance details

Defined in GI.Dbusmenu.Enums

Methods

succ :: TextDirection -> TextDirection Source #

pred :: TextDirection -> TextDirection Source #

toEnum :: Int -> TextDirection Source #

fromEnum :: TextDirection -> Int Source #

enumFrom :: TextDirection -> [TextDirection] Source #

enumFromThen :: TextDirection -> TextDirection -> [TextDirection] Source #

enumFromTo :: TextDirection -> TextDirection -> [TextDirection] Source #

enumFromThenTo :: TextDirection -> TextDirection -> TextDirection -> [TextDirection] Source #

Show TextDirection Source # |
Instance details Defined in GI.Dbusmenu.Enums Methods showsPrec :: Int -> TextDirection -> ShowS Source # show :: TextDirection -> String Source # showList :: [TextDirection] -> ShowS Source #
Eq TextDirection Source # |
Instance details Defined in GI.Dbusmenu.Enums Methods (==) :: TextDirection -> TextDirection -> Bool Source # (/=) :: TextDirection -> TextDirection -> Bool Source #
Ord TextDirection Source # |

Instance details

Defined in GI.Dbusmenu.Enums

Methods

compare :: TextDirection -> TextDirection -> Ordering Source #

(<) :: TextDirection -> TextDirection -> Bool Source #

(<=) :: TextDirection -> TextDirection -> Bool Source #

(>) :: TextDirection -> TextDirection -> Bool Source #

(>=) :: TextDirection -> TextDirection -> Bool Source #

max :: TextDirection -> TextDirection -> TextDirection Source #

min :: TextDirection -> TextDirection -> TextDirection Source #